> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/server/fr/knowledge-base/how-to-articles/enable-the-recording-server-log.md).

# Activer le journal du serveur d'enregistrement

Activez la journalisation pour l'ancien serveur d'enregistrement de Devolutions Server en modifiant le fichier log4net.config et en redémarrant les services Collector et Processor.

{% hint style="info" %}
Cette version du serveur d'enregistrement n'est plus prise en charge.
{% endhint %}

La procédure suivante décrit comment activer l'utilitaire de journalisation pour le ***Recording Server*** de Devolutions Server.

### Activer les journaux

1. Pour modifier le fichier **log4net.config**, cliquez sur le bouton ***Explore*** de la section ***Recording Server*** de l'onglet ***Companions*** dans la Devolutions Server Console.
2. Définissez le paramètre de valeur du fichier avec le chemin d'accès complet du fichier journal. Assurez-vous que les barres obliques inverses sont doublées.

{% hint style="warning" %}
Assurez-vous que le dossier de destination des journaux dispose des droits d'écriture.
{% endhint %}

3. Définissez le paramètre de valeur du niveau à ALL.
4. Redémarrez les services Collector et Processor sur le serveur après toute modification de ces fichiers.

{% hint style="info" %}
Assurez-vous de remettre la valeur du niveau à ERROR et de redémarrer les services une fois l'investigation terminée.
{% endhint %}

```
<?xml version="1.0" encoding="utf-8" ?>
<log4net>
  <appender name="RollingFile" type="log4net.Appender.RollingFileAppender">
    <file value="c:\\Logs\\collector.log" />
    <appendToFile value="true" />
    <maximumFileSize value="1MB" />
    <maxSizeRollBackups value="5" />
    <layout type="log4net.Layout.PatternLayout">
      <conversionPattern value="%date %5level %logger.%method [%line] - MESSAGE: %message%newline %exception" />
    </layout>
  </appender>
  <root>
    <level value="ALL" />
    <appender-ref ref="RollingFile" />
  </root>
</log4net>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/server/fr/knowledge-base/how-to-articles/enable-the-recording-server-log.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
